SDL_RestoreWindow(3)

NAME
SDL_RestoreWindow - Request that the size and position of a minimized or maximized window be restored.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RestoreWindow(SDL_Window *window);

DESCRIPTION
On some windowing systems this request is asynchronous and the new window state may not have have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow () to block until the changes have taken effect. When the window state changes, an SDL_EVENT_WINDOW_RESTORED
 event will be emitted. Note that, as this is just a request, the windowing system can deny the state change.

FUNCTION PARAMETERS

window
    the window to restore

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_MaximizeWindow(3), SDL_MinimizeWindow(3), SDL_SyncWindow(3)